﻿## History of changes for WinPython-64bit 3.7.2.0



The following changes were made to WinPython-64bit distribution since version 3.7.1.0.



### Tools



Upgraded packages:



  * [Nodejs](https://nodejs.org) v8.12.0 → v10.15.2 (a JavaScript runtime built on Chrome's V8 JavaScript engine)



### Python packages



New packages:



  * [absl_py](https://pypi.org/project/absl_py) 0.7.0 (Abseil Python Common Libraries)

  * [astor](https://pypi.org/project/astor) 0.7.1 (Read/rewrite/write Python ASTs)

  * [astropy](https://pypi.org/project/astropy) 3.1.2 (Community-developed python astronomy tools)

  * [branca](https://pypi.org/project/branca) 0.3.1 (Generate complex HTML+JS pages with Python)

  * [cartopy](https://pypi.org/project/cartopy) 0.17.0 (A cartographic python library with matplotlib support for visualisation)

  * [gast](https://pypi.org/project/gast) 0.2.2 (Python AST that abstracts the underlying Python version)

  * [gdal](https://pypi.org/project/gdal) 2.3.3 (Geospatial Data Abstraction Library)

  * [geoviews](https://pypi.org/project/geoviews) 1.6.2 (Stop plotting your data - annotate your data and let it visualize itself... on a map!)

  * [grpcio](https://pypi.org/project/grpcio) 1.19.0 (HTTP/2-based RPC framework)

  * [imageio_ffmpeg](https://pypi.org/project/imageio_ffmpeg) 0.2.0 (FFMPEG wrapper for Python)

  * [mock](https://pypi.org/project/mock) 2.0.0 (Rolling backport of unittest.mock for all Pythons)

  * [panel](https://pypi.org/project/panel) 0.4.0 (A high-level Python toolkit for composing widgets and plots)

  * [pbr](https://pypi.org/project/pbr) 5.1.3 (Python Build Reasonableness)

  * [proglog](https://pypi.org/project/proglog) 0.1.9 (Log and progress bar manager for console, notebooks, web...)

  * [pygbm](https://pypi.org/project/pygbm) 0.1.0 (Experimental, numba-based Gradient Boosting Machines)

  * [pyqt5_sip](https://pypi.org/project/pyqt5_sip) 4.19.14 (Python extension module support for PyQt5)

  * [pyqtwebengine](https://pypi.org/project/pyqtwebengine) 5.12 (Python bindings for the Qt 3D framework)

  * [pyrsistent](https://pypi.org/project/pyrsistent) 0.14.11 (Persistent/Functional/Immutable data structures)

  * [pyshp](https://pypi.org/project/pyshp) 2.1.0 (Pure Python read/write support for ESRI Shapefile format)

  * [shapely](https://pypi.org/project/shapely) 1.6.4.post1 (Geometric objects, predicates, and operations)

  * [simplegeneric](https://pypi.org/project/simplegeneric) 0.8.1 (Simple generic functions (similar to Python's own len(), pickle.dump(), etc.))

  * [singledispatch](https://pypi.org/project/singledispatch) 3.4.0.3 (This library brings functools.singledispatch from Python 3.4 to Python 2.6-3.3)

  * [soupsieve](https://pypi.org/project/soupsieve) 1.8 (A CSS4 selector implementation for Beautiful Soup.)

  * [tensorboard](https://pypi.org/project/tensorboard) 1.13.0 (TensorBoard lets you watch Tensors Flow)

  * [tensorflow](https://pypi.org/project/tensorflow) 1.13.1 (TensorFlow helps the tensors flow)

  * [tensorflow_estimator](https://pypi.org/project/tensorflow_estimator) 1.13.0 (TensorFlow Estimator.)

  * [tensorflow_probability](https://pypi.org/project/tensorflow_probability) 0.6.0 (Probabilistic modeling and statistical inference in TensorFlow)

  * [termcolor](https://pypi.org/project/termcolor) 1.1.0 (ANSII Color formatting for output in terminal)



Upgraded packages:



  * [altair](https://pypi.org/project/altair) 2.2.2 → 2.4.1 (High-level declarative visualization library for Python)

  * [astroid](https://pypi.org/project/astroid) 2.0.4 → 2.2.2 (Rebuild a new abstract syntax tree from Python's ast (required for pylint))

  * [atomicwrites](https://pypi.org/project/atomicwrites) 1.2.1 → 1.3.0 (Powerful Python library for atomic file writes.)

  * [attrs](https://pypi.org/project/attrs) 18.2.0 → 19.1.0 (Classes Without Boilerplate)

  * [beautifulsoup4](https://pypi.org/project/beautifulsoup4) 4.6.3 → 4.7.1 (Screen-scraping library)

  * [bleach](https://pypi.org/project/bleach) 3.0.2 → 3.1.0 (An easy whitelist-based HTML-sanitizing tool)

  * [blosc](https://pypi.org/project/blosc) 1.6.1 → 1.7.0 (Blosc data compressor)

  * [bokeh](https://pypi.org/project/bokeh) 1.0.0 → 1.0.4 (Statistical and novel interactive HTML plots for Python)

  * [bqplot](https://pypi.org/project/bqplot) 0.11.1 → 0.11.5 (Interactive plotting for the Jupyter notebook, using d3.js and ipywidgets.)

  * [certifi](https://pypi.org/project/certifi) 2018.10.15 → 2018.11.29 (Python package for providing Mozilla's CA Bundle.)

  * [cffi](https://pypi.org/project/cffi) 1.11.5 → 1.12.2 (Foreign Function Interface for Python calling C code.)

  * [cftime](https://pypi.org/project/cftime) 1.0.2.1 → 1.0.3.4 (time-handling functionality from netcdf4-python)

  * [cloudpickle](https://pypi.org/project/cloudpickle) 0.6.1 → 0.8.0 (Extended pickling support for Python objects)

  * [colorama](https://pypi.org/project/colorama) 0.4.0 → 0.4.1 (Cross-platform colored terminal text)

  * [colorcet](https://pypi.org/project/colorcet) 0.9.1 → 1.0.1 (A set of useful perceptually uniform colormaps for plotting scientific data)

  * [cvxopt](https://pypi.org/project/cvxopt) 1.2.2 → 1.2.3 (Convex optimization package)

  * [cvxpy](https://pypi.org/project/cvxpy) 1.0.10 → 1.0.19 (A domain-specific language for modeling convex optimization problems in Python)

  * [cython](https://pypi.org/project/cython) 0.29 → 0.29.6 (Cython is a language that makes writing C extensions for the Python language as easy as Python)

  * [dask](https://pypi.org/project/dask) 0.20.0 → 1.1.3 (Minimal task scheduling abstraction)

  * [datashader](https://pypi.org/project/datashader) 0.6.8 → 0.6.9 (Data visualization toolchain based on aggregating into a grid)

  * [decorator](https://pypi.org/project/decorator) 4.3.0 → 4.3.2 (Better living through Python with decorators)

  * [dill](https://pypi.org/project/dill) 0.2.8.2 → 0.2.9 (serialize all of python (almost))

  * [distributed](https://pypi.org/project/distributed) 1.24.0 → 1.26.0 (Distributed computing)

  * [ecos](https://pypi.org/project/ecos) 2.0.5 → 2.0.7.post1 (This is the Python package for ECOS: Embedded Cone Solver)

  * [entrypoints](https://pypi.org/project/entrypoints) 0.2.3 → 0.3 (Discover and load entry points from installed packages)

  * [fast_histogram](https://pypi.org/project/fast_histogram) 0.5 → 0.7 (Fast 1D and 2D histogram functions in Python)

  * [fastparquet](https://pypi.org/project/fastparquet) 0.1.6 → 0.2.1 (Python support for Parquet file format)

  * [formlayout](https://pypi.org/project/formlayout) 1.1.0 → 2.0.0a0 (Module for creating form dialogs/widgets to edit various type of parameters without having to write any GUI code)

  * [geopy](https://pypi.org/project/geopy) 1.17.0 → 1.18.1 (Python Geocoding Toolbox)

  * [h5py](https://pypi.org/project/h5py) 2.8.0 → 2.9.0 (General-purpose Python interface to HDF5 files (unlike PyTables, h5py provides direct access to the full HDF5 C library))

  * [holoviews](https://pypi.org/project/holoviews) 1.10.9 → 1.11.3 (Composable, declarative data structures for building complex visualizations easily.)

  * [hvplot](https://pypi.org/project/hvplot) 0.2.1 → 0.4.0 (A high-level plotting API for pandas, dask, streamz and xarray built on HoloViews)

  * [idna](https://pypi.org/project/idna) 2.7 → 2.8 (Internationalized Domain Names in Applications (IDNA))

  * [imageio](https://pypi.org/project/imageio) 2.4.1 → 2.5.0 (Library for reading and writing a wide range of image, video, scientific, and volumetric data formats.)

  * [imbalanced_learn](https://pypi.org/project/imbalanced_learn) 0.4.2 → 0.4.3 (Toolbox for imbalanced dataset in machine learning.)

  * [intake](https://pypi.org/project/intake) 0.2.3 → 0.4.1 (Data input plugin and catalog system)

  * [ipyleaflet](https://pypi.org/project/ipyleaflet) 0.9.1 → 0.10.0 (A Jupyter widget for dynamic Leaflet maps)

  * [ipython](https://pypi.org/project/ipython) 7.1.1 → 7.3.0 (Enhanced Python shell)

  * [isort](https://pypi.org/project/isort) 4.3.4 → 4.3.9 (A Python utility / library to sort Python imports.)

  * [jedi](https://pypi.org/project/jedi) 0.13.1 → 0.13.3 (An autocompletion tool for Python that can be used for text editors)

  * [joblib](https://pypi.org/project/joblib) 0.12.5 → 0.13.2 (Lightweight pipelining: using Python functions as pipeline jobs.)

  * [jsonschema](https://pypi.org/project/jsonschema) 2.6.0 → 3.0.0 (An implementation of JSON Schema validation for Python)

  * [julia](https://pypi.org/project/julia) 0.1.5 → 0.2.0 (Python interface to the Julia language)

  * [jupyter_client](https://pypi.org/project/jupyter_client) 5.2.3 → 5.2.4 (Jupyter protocol implementation and client libraries)

  * [jupyterlab](https://pypi.org/project/jupyterlab) 0.35.3 → 0.35.4 (Jupyter lab environment notebook server extension)

  * [keras_applications](https://pypi.org/project/keras_applications) 1.0.6 → 1.0.7 (Reference implementations of popular deep learning models)

  * [keras_preprocessing](https://pypi.org/project/keras_preprocessing) 1.0.5 → 1.0.9 (Easy data preprocessing and data augmentation for deep learning models)

  * [keyring](https://pypi.org/project/keyring) 16.0.0 → 18.0.0 (Store and access your passwords safely.)

  * [llvmlite](https://pypi.org/project/llvmlite) 0.25.0 → 0.27.0 (lightweight wrapper around basic LLVM functionality)

  * [lmfit](https://pypi.org/project/lmfit) 0.9.11 → 0.9.12 (Least-Squares Minimization with Bounds and Constraints)

  * [loky](https://pypi.org/project/loky) 2.3.1 → 2.4.2 (Robust and reusable Executor for joblib)

  * [lxml](https://pypi.org/project/lxml) 4.2.5 → 4.3.2 (Powerful and Pythonic XML processing library combining libxml2/libxslt with the ElementTree API.)

  * [markupsafe](https://pypi.org/project/markupsafe) 1.0 → 1.1.1 (Implements a XML/HTML/XHTML Markup safe string for Python)

  * [matplotlib](https://pypi.org/project/matplotlib) 3.0.1 → 3.0.3 (2D plotting library (embeddable in GUIs created with PyQt))

  * [mlxtend](https://pypi.org/project/mlxtend) 0.13.0 → 0.15.0.0 (Machine Learning Library Extensions)

  * [more_itertools](https://pypi.org/project/more_itertools) 4.3.0 → 6.0.0 (More routines for operating on iterables, beyond itertools)

  * [moviepy](https://pypi.org/project/moviepy) 0.2.3.5 → 1.0.0 (Video editing with Python)

  * [mpl_scatter_density](https://pypi.org/project/mpl_scatter_density) 0.4 → 0.5 (Fast scatter density plots for Matplotlib)

  * [mpmath](https://pypi.org/project/mpmath) 1.0.0 → 1.1.0 (Python library for arbitrary-precision floating-point arithmetic)

  * [msgpack](https://pypi.org/project/msgpack) 0.5.6 → 0.6.1 (MessagePack (de)serializer.)

  * [msgpack_numpy](https://pypi.org/project/msgpack_numpy) 0.4.4.1 → 0.4.4.2 (Numpy data serialization using msgpack)

  * [multiprocess](https://pypi.org/project/multiprocess) 0.70.6.1 → 0.70.7 (better multiprocessing and multithreading in python)

  * [mypy](https://pypi.org/project/mypy) 0.641 → 0.670 (Optional static typing for Python)

  * [nbconvert](https://pypi.org/project/nbconvert) 5.4.0 → 5.4.1 (Converting Jupyter Notebooks)

  * [nltk](https://pypi.org/project/nltk) 3.3 → 3.4 (The Natural Language Toolkit (NLTK) is a Python package for natural language processing.)

  * [notebook](https://pypi.org/project/notebook) 5.7.0 → 5.7.4 (# Jupyter Notebook)

  * [numba](https://pypi.org/project/numba) 0.40.0 → 0.42.0 (compiling Python code using LLVM)

  * [numcodecs](https://pypi.org/project/numcodecs) 0.5.5 → 0.6.3 (buffer compression and transformation codecs for use in data storage and communication applications)

  * [numexpr](https://pypi.org/project/numexpr) 2.6.8 → 2.6.9 (Fast evaluation of array expressions elementwise by using a vector-based virtual machine)

  * [numpy](https://pypi.org/project/numpy) 1.14.6+mkl → 1.16.2+mkl (NumPy: multidimensional array processing for numbers, strings, records and objects (SciPy''s core module))

  * [osqp](https://pypi.org/project/osqp) 0.3.0 → 0.5.0 (the Operator Splitting QP Solver.)

  * [packaging](https://pypi.org/project/packaging) 18.0 → 19.0 (Core utilities for Python packages)

  * [pandas](https://pypi.org/project/pandas) 0.23.4 → 0.24.1 (Powerful data structures for data analysis, time series and statistics)

  * [param](https://pypi.org/project/param) 1.8.1 → 1.8.2 (Declarative Python programming using Parameters.)

  * [parso](https://pypi.org/project/parso) 0.3.1 → 0.3.4 (A Python Parser)

  * [pg8000](https://pypi.org/project/pg8000) 1.12.3 → 1.12.4 (PostgreSQL interface library)

  * [pillow](https://pypi.org/project/pillow) 5.3.0 → 5.4.1 (Python Imaging Library (fork))

  * [pip](https://pypi.org/project/pip) 18.1 → 19.0.3 (A tool for installing and managing Python packages)

  * [pkginfo](https://pypi.org/project/pkginfo) 1.4.2 → 1.5.0.1 (Query metadatdata from sdists / bdists / installed packages.)

  * [pluggy](https://pypi.org/project/pluggy) 0.8.0 → 0.9.0 (plugin and hook calling mechanisms for python)

  * [prometheus_client](https://pypi.org/project/prometheus_client) 0.4.2 → 0.6.0 (Python client for the Prometheus monitoring system.)

  * [prompt_toolkit](https://pypi.org/project/prompt_toolkit) 2.0.7 → 2.0.9 (Library for building powerful interactive command lines in Python)

  * [protobuf](https://pypi.org/project/protobuf) 3.6.1 → 3.7.0 (Protocol Buffers - Google's data interchange format)

  * [psutil](https://pypi.org/project/psutil) 5.4.7 → 5.5.1 (Provides an interface for retrieving information on all running processes and system utilization (CPU, disk, memory, network) in a portable way)

  * [py](https://pypi.org/project/py) 1.7.0 → 1.8.0 (library with cross-python path, ini-parsing, io, code, log facilities)

  * [pyarrow](https://pypi.org/project/pyarrow) 0.11.1 → 0.12.1 (Python library for Apache Arrow)

  * [pycodestyle](https://pypi.org/project/pycodestyle) 2.4.0 → 2.5.0 (Python style guide checker)

  * [pyct](https://pypi.org/project/pyct) 0.4.5 → 0.4.6 (python package common tasks for users (e.g. copy examples, fetch data, ...))

  * [pyflakes](https://pypi.org/project/pyflakes) 2.0.0 → 2.1.1 (passive checker of Python programs)

  * [pygments](http://pygments.org) 2.2.0 → 2.3.1 (Generic syntax highlighter for general use in all kinds of software)

  * [pylint](https://pypi.org/project/pylint) 2.1.1 → 2.3.1 (Logilab code analysis module: analyzes Python source code looking for bugs and signs of poor quality)

  * [pyodbc](https://pypi.org/project/pyodbc) 4.0.24 → 4.0.26 (DB API Module for ODBC)

  * [pyopengl](https://pypi.org/project/pyopengl) 3.1.2 → 3.1.3b2 (Cross platform Python binding to OpenGL and related APIs)

  * [pyparsing](https://pypi.org/project/pyparsing) 2.2.2 → 2.3.1 (A Python Parsing Module)

  * [pyqt5](http://www.riverbankcomputing.co.uk/software/pyqt/intro) 5.9.2 → 5.12 (Python bindings for the Qt cross platform GUI toolkit)

  * [pytest](https://pypi.org/project/pytest) 3.9.3 → 4.3.0 (pytest: simple powerful testing with Python)

  * [Python](http://www.python.org/) 3.7.1 → 3.7.2 (Python programming language with standard library)

  * [python_dateutil](https://pypi.org/project/python_dateutil) 2.7.5 → 2.8.0 (Powerful extensions to the standard datetime module)

  * [python_hdf4](https://pypi.org/project/python_hdf4) 0.9.1 → 0.9.2 (Python-HDF4: Python interface to the NCSA HDF4 library)

  * [pythonqwt](https://pypi.org/project/pythonqwt) 0.5.5 → 0.5.6.dev0 (Qt plotting widgets for Python)

  * [pythreejs](https://pypi.org/project/pythreejs) 2.0.1 → 2.0.2 (Interactive 3d graphics for the Jupyter notebook, using Three.js from Jupyter interactive widgets.)

  * [pytz](https://pypi.org/project/pytz) 2018.6 → 2018.9 (World Timezone Definitions for Python)

  * [pyviz_comms](https://pypi.org/project/pyviz_comms) 0.6.0 → 0.7.0 (Launch jobs, organize the output, and dissect the results)

  * [pywavelets](https://pypi.org/project/pywavelets) 1.0.1 → 1.0.2 (Wavelet transforms module)

  * [pywinpty](https://pypi.org/project/pywinpty) 0.5.4 → 0.5.5 (Python bindings for the winpty library)

  * [pyzmq](https://pypi.org/project/pyzmq) 17.1.2 → 18.0.0 (Lightweight and super-fast messaging based on ZeroMQ library (required for IPython Qt console))

  * [pyzo](https://pypi.org/project/pyzo) 4.6.2.dev0 → 4.6.2a0 (the Python IDE for scientific computing)

  * [qtawesome](https://pypi.org/project/qtawesome) 0.5.2 → 0.5.7 (FontAwesome icons in PyQt and PySide applications)

  * [qtconsole](https://pypi.org/project/qtconsole) 4.4.2 → 4.4.3 (Jupyter Qt console)

  * [qtpy](https://pypi.org/project/qtpy) 1.5.2 → 1.6.0 (Provides an abstraction layer on top of the various Qt bindings (PyQt5, PyQt4 and PySide) and additional custom QWidgets.)

  * [redis](https://pypi.org/project/redis) 2.10.6 → 3.2.0 (Python client for Redis key-value store)

  * [regex](https://pypi.org/project/regex) 2018.8.29 → 2019.2.21 (Alternative regular expression module, to replace re.)

  * [reportlab](https://pypi.org/project/reportlab) 3.5.9 → 3.5.13 (The PDF generation library)

  * [requests](https://pypi.org/project/requests) 2.20.0 → 2.21.0 (Requests is an Apache2 Licensed HTTP library, written in Python, for human beings.)

  * [requests_toolbelt](https://pypi.org/project/requests_toolbelt) 0.8.0 → 0.9.1 (A utility belt for advanced users of python-requests)

  * [rope](https://pypi.org/project/rope) 0.11.0 → 0.12.0 (a python refactoring library...)

  * [rpy2](https://pypi.org/project/rpy2) 2.9.4 → 2.9.5 (Python interface to the R language (embedded R))

  * [ruamel.yaml](https://pypi.org/project/ruamel.yaml) 0.15.75 → 0.15.89 (a YAML parser/emitter that supports roundtrip preservation of comments, seq/map flow style, and map key order)

  * [scikit_fuzzy](https://pypi.org/project/scikit_fuzzy) 0.3.1 → 0.4.0 (Fuzzy logic toolkit for SciPy)

  * [scikit_image](https://pypi.org/project/scikit_image) 0.14.1 → 0.14.2 (Image processing toolbox for SciPy)

  * [scikit_learn](https://pypi.org/project/scikit_learn) 0.20 → 0.20.3 (A set of Python modules for machine learning and data mining)

  * [scipy](https://pypi.org/project/scipy) 1.1.0 → 1.2.1 (SciPy: Scientific Library for Python (advanced math, signal processing, optimization, statistics, ...))

  * [setuptools](https://pypi.org/project/setuptools) 40.5.0 → 40.8.0 (Download, build, install, upgrade, and uninstall Python packages - easily)

  * [six](https://pypi.org/project/six) 1.11.0 → 1.12.0 (Python 2 and 3 compatibility utilities)

  * [sortedcontainers](https://pypi.org/project/sortedcontainers) 2.0.5 → 2.1.0 (Python Sorted Container Types: SortedList, SortedDict, and SortedSet)

  * [sounddevice](https://pypi.org/project/sounddevice) 0.3.12 → 0.3.13 (Play and Record Sound with Python)

  * [sphinx](https://pypi.org/project/sphinx) 1.8.1 → 1.8.4 (Tool for generating documentation which uses reStructuredText as its markup language)

  * [sphinx_rtd_theme](https://pypi.org/project/sphinx_rtd_theme) 0.4.2 → 0.4.3 (ReadTheDocs.org theme for Sphinx, 2013 version.)

  * [spyder](https://pypi.org/project/spyder) 3.3.2.dev0 → 3.3.3 (The Scientific Python Development Environment: An IDE designed for interactive computing and data visualisation with a simple and intuitive user interface)

  * [spyder_kernels](https://pypi.org/project/spyder_kernels) 0.2.6 → 0.4.2 (Jupyter kernels for the Spyder console)

  * [sqlalchemy](https://pypi.org/project/sqlalchemy) 1.2.12 → 1.2.18 (SQL Toolkit and Object Relational Mapper)

  * [streamz](https://pypi.org/project/streamz) 0.3.0 → 0.5.0 (Streams)

  * [torch](https://pypi.org/project/torch) 0.4.1 → 1.0.1 (a deep learning framework.)

  * [torchvision](https://pypi.org/project/torchvision) 0.2.1 → 0.2.2.post3 (Datasets, Transforms and Models specific to Computer Vision)

  * [tqdm](https://pypi.org/project/tqdm) 4.28.1 → 4.31.1 (A Simple Python Progress Meter)

  * [twine](https://pypi.org/project/twine) 1.12.1 → 1.13.0 (Collection of utilities for interacting with PyPI)

  * [typed_ast](https://pypi.org/project/typed_ast) 1.1.0 → 1.3.1 (a fork of Python 2 and 3 ast modules with type comment support)

  * [urllib3](https://pypi.org/project/urllib3) 1.24 → 1.24.1 (HTTP library with thread-safe connection pooling, file post, and more.)

  * [vega_datasets](https://pypi.org/project/vega_datasets) 0.5.0 → 0.7.0 (A Python package for offline access to Vega datasets)

  * [wheel](https://pypi.org/project/wheel) 0.32.2 → 0.33.1 (A built-package format for Python.)

  * [winpython](http://winpython.github.io/) 1.11.20181031 → 1.11.20190223 (WinPython distribution tools, including WPPM (package manager))

  * [wrapt](https://pypi.org/project/wrapt) 1.10.11 → 1.11.1 (A Python module for decorators, wrappers and monkey patching.)

  * [xarray](https://pypi.org/project/xarray) 0.10.9 → 0.11.3 (N-D labeled arrays and datasets in Python)

  * [xlrd](https://pypi.org/project/xlrd) 1.1.0 → 1.2.0 (Extract data from Microsoft Excel spreadsheet files)

  * [xlsxwriter](https://pypi.org/project/xlsxwriter) 1.1.2 → 1.1.5 (A Python module for creating Excel XLSX files.)

  * [xlwings](https://pypi.org/project/xlwings) 0.12.1 → 0.15.3 (Interact with Excel from Python and vice versa)



Removed packages:



  * [sip](https://pypi.org/project/sip) 4.19.8 (Python extension module generator for C and C++ libraries)



* * *

