﻿## History of changes for WinPython-64bit 3.8.2.0



The following changes were made to WinPython-64bit distribution since version 3.8.1.0.



### Tools



Upgraded packages:



  * [Nodejs](https://nodejs.org) v12.13.0 → v12.16.1 (a JavaScript runtime built on Chrome's V8 JavaScript engine)

  * [npmjs](https://www.npmjs.com/) 6.12.0 → 6.13.4 (a package manager for JavaScript)



### Python packages



New packages:



  * [diff_match_patch](https://pypi.org/project/diff_match_patch) 20181111 (epackaging of Google's Diff Match and Patch libraries. Offers robust algorithms to perform the operations required for synchronizing plain text.)

  * [feather_format](https://pypi.org/project/feather_format) 0.4.0 (Python interface to the Apache Arrow-based Feather File Format)

  * [flask_restx](https://pypi.org/project/flask_restx) 0.1.0 (Fully featured framework for fast, easy and documented API development with Flask)

  * [folium](https://pypi.org/project/folium) 0.10.1 (Make beautiful maps with Leaflet.js & Python)

  * [helpdev](https://pypi.org/project/helpdev) 0.6.10 (HelpDev - Extracts information about the Python environment easily.)

  * [ibis_framework](https://pypi.org/project/ibis_framework) 1.3.0 (Productivity-centric Python Big Data Framework)

  * [importlib_metadata](https://pypi.org/project/importlib_metadata) 1.5.0 (Read metadata from Python packages)

  * [intervaltree](https://pypi.org/project/intervaltree) 3.0.2 (Editable interval tree data structure for Python 2 and 3)

  * [janus](https://pypi.org/project/janus) 0.4.0 (Mixed sync-async queue to interoperate between asyncio tasks and classic threads)

  * [nbclient](https://pypi.org/project/nbclient) 0.1.0 (A client library for executing notebooks. Formally nbconvert's ExecutePreprocessor.)

  * [pathtools](https://pypi.org/project/pathtools) 0.1.2 (File system general utilities)

  * [plotly](https://pypi.org/project/plotly) 4.5.4 (Python plotting library for collaborative, interactive, publication-quality graphs.)

  * [ptyprocess](https://pypi.org/project/ptyprocess) 0.6.0 (Run a subprocess in a pseudo terminal)

  * [pyaml](https://pypi.org/project/pyaml) 20.3.1 (PyYAML-based module to produce pretty and readable YAML-serialized data)

  * [pyarrow](https://pypi.org/project/pyarrow) 0.16.0 (Python library for Apache Arrow)

  * [pydeck](https://pypi.org/project/pydeck) 0.2.1 (Widget for deck.gl maps)

  * [qdarkstyle](https://pypi.org/project/qdarkstyle) 2.8 (A dark style sheet for QtWidgets application)

  * [retrying](https://pypi.org/project/retrying) 1.3.3 (simplify the task of adding retry behavior to just about anything.)

  * [ruamel.yaml.clib](https://pypi.org/project/ruamel.yaml.clib) 0.2.0 (C version of reader, parser and emitter for ruamel.yaml derived from libyaml)

  * [shap](https://pypi.org/project/shap) 0.35.0 (A game theoretic approach to explain the output of any machine learning model.)

  * [torch](https://pypi.org/project/torch) 1.4.0+cpu (a deep learning framework.)

  * [torchvision](https://pypi.org/project/torchvision) 0.5.0+cpu (Datasets, Transforms and Models specific to Computer Vision)

  * [tranquilizer](https://pypi.org/project/tranquilizer) 0.4.1 (Put your functions to REST)

  * [watchdog](https://pypi.org/project/watchdog) 0.10.2 (Filesystem events monitoring)

  * [zipp](https://pypi.org/project/zipp) 3.1.0 (Backport of pathlib-compatible object wrapper for zip files)



Upgraded packages:



  * [altair](https://pypi.org/project/altair) 4.0.0 → 4.0.1 (High-level declarative visualization library for Python)

  * [altair_data_server](https://pypi.org/project/altair_data_server) 0.3.0 → 0.4.1 (A background data server for Altair charts.)

  * [altgraph](https://pypi.org/project/altgraph) 0.16.1 → 0.17 (Python graph (network) package)

  * [autopep8](https://pypi.org/project/autopep8) 1.4.4 → 1.5 (A tool that automatically formats Python code to conform to the PEP 8 style guide)

  * [babel](https://pypi.org/project/babel) 2.7.0 → 2.8.0 (Internationalization utilities)

  * [beautifulsoup4](https://pypi.org/project/beautifulsoup4) 4.8.1 → 4.8.2 (Screen-scraping library)

  * [bleach](https://pypi.org/project/bleach) 3.1.0 → 3.1.3 (An easy whitelist-based HTML-sanitizing tool)

  * [blosc](https://pypi.org/project/blosc) 1.8.1 → 1.8.3 (Blosc data compressor)

  * [bokeh](https://pypi.org/project/bokeh) 1.4.0 → 2.0.0 (Statistical and novel interactive HTML plots for Python)

  * [bottleneck](https://pypi.org/project/bottleneck) 1.3.1 → 1.3.2 (Fast NumPy array functions written in Cython)

  * [bqplot](https://pypi.org/project/bqplot) 0.12.1 → 0.12.6 (Interactive plotting for the Jupyter notebook, using d3.js and ipywidgets.)

  * [cffi](https://pypi.org/project/cffi) 1.13.2 → 1.14.0 (Foreign Function Interface for Python calling C code.)

  * [cftime](https://pypi.org/project/cftime) 1.0.4.2 → 1.1.1.1 (time-handling functionality from netcdf4-python)

  * [click](https://pypi.org/project/click) 7.0 → 7.1.1 (A simple wrapper around optparse for powerful command line utilities.)

  * [cloudpickle](https://pypi.org/project/cloudpickle) 1.2.2 → 1.3.0 (Extended pickling support for Python objects)

  * [cvxopt](https://pypi.org/project/cvxopt) 1.2.3 → 1.2.4 (Convex optimization package)

  * [cvxpy](https://pypi.org/project/cvxpy) 1.0.25 → 1.0.28 (A domain-specific language for modeling convex optimization problems in Python)

  * [cx_freeze](https://pypi.org/project/cx_freeze) 6.0 → 6.1 (Deployment tool which converts Python scripts into stand-alone Windows executables (i.e. target machine does not require Python or any other library to be installed))

  * [cython](https://pypi.org/project/cython) 0.29.14 → 0.29.15 (Cython is a language that makes writing C extensions for the Python language as easy as Python)

  * [dask](https://pypi.org/project/dask) 2.9.0 → 2.12.0 (Minimal task scheduling abstraction)

  * [datasette](https://pypi.org/project/datasette) 0.32 → 0.38 (A tool for exploring and publishing data)

  * [datashader](https://pypi.org/project/datashader) 0.9.0 → 0.10.0 (Data visualization toolchain based on aggregating into a grid)

  * [decorator](https://pypi.org/project/decorator) 4.4.1 → 4.4.2 (Better living through Python with decorators)

  * [distributed](https://pypi.org/project/distributed) 2.9.0 → 2.12.0 (Distributed computing)

  * [docutils](https://pypi.org/project/docutils) 0.15.2 → 0.16 (Text processing system for processing plaintext documentation into useful formats, such as HTML or LaTeX (includes reStructuredText))

  * [fast_histogram](https://pypi.org/project/fast_histogram) 0.7 → 0.8 (Fast 1D and 2D histogram functions in Python)

  * [fastparquet](https://pypi.org/project/fastparquet) 0.3.2 → 0.3.3 (Python support for Parquet file format)

  * [flask_accepts](https://pypi.org/project/flask_accepts) 0.15.5 → 0.16.2 (Easy, opinionated Flask input/output handling mixing Marshmallow with Flask-RESTplus)

  * [flaskerize](https://pypi.org/project/flaskerize) 0.12.0 → 0.14.0 (Python CLI build/dev tool for templated code generation and project modification. Think Angular schematics for Python.)

  * [fuzzywuzzy](https://pypi.org/project/fuzzywuzzy) 0.17.0 → 0.18.0 (Fuzzy string matching in python)

  * [gdal](https://pypi.org/project/gdal) 3.0.2 → 3.0.4 (Geospatial Data Abstraction Library)

  * [geopandas](https://pypi.org/project/geopandas) 0.6.2 → 0.7.0 (Geographic pandas extensions)

  * [geopy](https://pypi.org/project/geopy) 1.20.0 → 1.21.0 (Python Geocoding Toolbox)

  * [h2](https://pypi.org/project/h2) 3.1.1 → 3.2.0 (HTTP/2 framing layer for Python)

  * [holoviews](https://pypi.org/project/holoviews) 1.12.7 → 1.13.0b12 (Composable, declarative data structures for building complex visualizations easily.)

  * [hupper](https://pypi.org/project/hupper) 1.9.1 → 1.10.2 (Integrated process monitor for developing and reloading daemons.)

  * [hypercorn](https://pypi.org/project/hypercorn) 0.9.0+dev → 0.9.2 (A ASGI Server based on Hyper libraries and inspired by Gunicorn.)

  * [hypothesis](https://pypi.org/project/hypothesis) 4.53.3 → 5.6.0 (A library for property based testing)

  * [idna](https://pypi.org/project/idna) 2.8 → 2.9 (Internationalized Domain Names in Applications (IDNA))

  * [imageio](https://pypi.org/project/imageio) 2.6.1 → 2.8.0 (Library for reading and writing a wide range of image, video, scientific, and volumetric data formats.)

  * [imageio_ffmpeg](https://pypi.org/project/imageio_ffmpeg) 0.3.0 → 0.4.1 (FFMPEG wrapper for Python)

  * [imagesize](https://pypi.org/project/imagesize) 1.1.0 → 1.2.0 (Getting image size from png/jpeg/jpeg2000/gif file)

  * [imbalanced_learn](https://pypi.org/project/imbalanced_learn) 0.6.1 → 0.6.2 (Toolbox for imbalanced dataset in machine learning.)

  * [ipykernel](https://pypi.org/project/ipykernel) 5.1.3 → 5.1.4 (IPython Kernel for Jupyter)

  * [ipyleaflet](https://pypi.org/project/ipyleaflet) 0.11.6 → 0.12.3 (A Jupyter widget for dynamic Leaflet maps)

  * [ipympl](https://pypi.org/project/ipympl) 0.4.0 → 0.5.3 (Matplotlib Jupyter Extension)

  * [ipython](https://pypi.org/project/ipython) 7.10.2 → 7.13.0 (Enhanced Python shell)

  * [jinja2](https://pypi.org/project/jinja2) 2.10.3 → 2.11.1 (Sandboxed template engine (provides a Django-like non-XML syntax and compiles templates into executable python code))

  * [json5](https://pypi.org/project/json5) 0.8.5 → 0.9.3 (A Python implementation of the JSON5 data format.)

  * [julia](https://pypi.org/project/julia) 0.5.0 → 0.5.1 (Python interface to the Julia language)

  * [jupyter_client](https://pypi.org/project/jupyter_client) 5.3.4 → 6.1.0 (Jupyter protocol implementation and client libraries)

  * [jupyter_console](https://pypi.org/project/jupyter_console) 6.0.0 → 6.1.0 (Jupyter terminal console)

  * [jupyter_core](https://pypi.org/project/jupyter_core) 4.6.1 → 4.6.3 (Jupyter core package. A base package on which Jupyter projects rely.)

  * [jupyterlab](https://pypi.org/project/jupyterlab) 1.2.4 → 2.0.1 (Jupyter lab environment notebook server extension)

  * [jupyterlab_server](https://pypi.org/project/jupyterlab_server) 1.0.6 → 1.0.7 (JupyterLab Server)

  * [keyring](https://pypi.org/project/keyring) 20.0.0 → 21.2.0 (Store and access your passwords safely.)

  * [llvmlite](https://pypi.org/project/llvmlite) 0.30.0 → 0.31.0 (lightweight wrapper around basic LLVM functionality)

  * [lxml](https://pypi.org/project/lxml) 4.4.2 → 4.5.0 (Powerful and Pythonic XML processing library combining libxml2/libxslt with the ElementTree API.)

  * [markdown](https://pypi.org/project/markdown) 3.1.1 → 3.2.1 (Python implementation of Markdown.)

  * [marshmallow](https://pypi.org/project/marshmallow) 3.3.0 → 3.5.1 (A lightweight library for converting complex datatypes to and from native Python datatypes.)

  * [matplotlib](https://pypi.org/project/matplotlib) 3.2.0rc2 → 3.2.1 (2D plotting library (embeddable in GUIs created with PyQt))

  * [mlxtend](https://pypi.org/project/mlxtend) 0.17.0 → 0.17.2 (Machine Learning Library Extensions)

  * [more_itertools](https://pypi.org/project/more_itertools) 8.0.2 → 8.2.0 (More routines for operating on iterables, beyond itertools)

  * [mpldatacursor](https://pypi.org/project/mpldatacursor) 0.6.2 → 0.7.1 (Interactive data cursors for Matplotlib)

  * [msgpack](https://pypi.org/project/msgpack) 0.6.2 → 1.0.0 (MessagePack (de)serializer.)

  * [mypy](https://pypi.org/project/mypy) 0.761 → 0.770 (Optional static typing for Python)

  * [nbformat](https://pypi.org/project/nbformat) 4.4.0 → 5.0.4 (The Jupyter Notebook format)

  * [notebook](https://pypi.org/project/notebook) 6.0.2 → 6.0.3 (# Jupyter Notebook)

  * [numba](https://pypi.org/project/numba) 0.46.0 → 0.48.0 (compiling Python code using LLVM)

  * [numexpr](https://pypi.org/project/numexpr) 2.7.0 → 2.7.1 (Fast evaluation of array expressions elementwise by using a vector-based virtual machine)

  * [numpy](https://pypi.org/project/numpy) 1.17.4+mkl → 1.18.2+mkl (NumPy: multidimensional array processing for numbers, strings, records and objects (SciPy''s core module))

  * [numpydoc](https://pypi.org/project/numpydoc) 0.9.1 → 0.9.2 (Sphinx extension to support docstrings in Numpy format)

  * [packaging](https://pypi.org/project/packaging) 19.2 → 20.3 (Core utilities for Python packages)

  * [pandas](https://pypi.org/project/pandas) 0.25.3 → 1.0.3 (Powerful data structures for data analysis, time series and statistics)

  * [panel](https://pypi.org/project/panel) 0.7.0 → 0.9.2 (A high-level Python toolkit for composing widgets and plots)

  * [papermill](https://pypi.org/project/papermill) 1.2.1 → 2.0.0 (Parametrize and Run Jupyter Notebooks)

  * [param](https://pypi.org/project/param) 1.9.2 → 1.9.3 (Declarative Python programming using Parameters.)

  * [parso](https://pypi.org/project/parso) 0.5.2 → 0.6.2 (A Python Parser)

  * [pathspec](https://pypi.org/project/pathspec) 0.6.0 → 0.7.0 (Utility library for gitignore style pattern matching of file paths.)

  * [pexpect](https://pypi.org/project/pexpect) 4.7.0+dummy → 4.8.0 (Pexpect allows easy control of interactive console applications.)

  * [pillow](https://pypi.org/project/pillow) 6.2.1 → 7.0.0 (Python Imaging Library (fork))

  * [pint](https://pypi.org/project/pint) 0.9 → 0.11 (Physical quantities module)

  * [pip](https://pypi.org/project/pip) 19.3.1 → 20.0.2 (A tool for installing and managing Python packages)

  * [ppci](https://pypi.org/project/ppci) 0.5.6 → 0.5.7 (A compiler for ARM, X86, MSP430, xtensa and more implemented in pure Python)

  * [prompt_toolkit](https://pypi.org/project/prompt_toolkit) 2.0.10 → 3.0.4 (Library for building powerful interactive command lines in Python)

  * [protobuf](https://pypi.org/project/protobuf) 3.11.0 → 3.11.3 (Protocol Buffers - Google's data interchange format)

  * [psutil](https://pypi.org/project/psutil) 5.6.7 → 5.7.0 (Provides an interface for retrieving information on all running processes and system utilization (CPU, disk, memory, network) in a portable way)

  * [ptpython](https://pypi.org/project/ptpython) 2.0.6 → 3.0.1 (Python REPL build on top of prompt_toolkit)

  * [py](https://pypi.org/project/py) 1.8.0 → 1.8.1 (library with cross-python path, ini-parsing, io, code, log facilities)

  * [pycparser](https://pypi.org/project/pycparser) 2.19 → 2.20 (C parser in Python)

  * [pygments](http://pygments.org) 2.5.2 → 2.6.1 (Generic syntax highlighter for general use in all kinds of software)

  * [pyinstaller](https://pypi.org/project/pyinstaller) 3.5 → 3.6 (PyInstaller bundles a Python application and all its dependencies into a single package.)

  * [pymongo](https://pypi.org/project/pymongo) 3.10.0 → 3.10.1 (Python driver for MongoDB <http://www.mongodb.org>)

  * [pyodbc](https://pypi.org/project/pyodbc) 4.0.27 → 4.0.30 (DB API Module for ODBC)

  * [pyopengl](https://pypi.org/project/pyopengl) 3.1.4 → 3.1.5 (Cross platform Python binding to OpenGL and related APIs)

  * [pyparsing](https://pypi.org/project/pyparsing) 2.4.5 → 2.4.6 (A Python Parsing Module)

  * [pyproj](https://pypi.org/project/pyproj) 2.4.2.post1 → 2.6.0 (Python interface to PROJ.4 library)

  * [pyqt5](http://www.riverbankcomputing.co.uk/software/pyqt/intro) 5.14.0 → 5.14.1 (Python bindings for the Qt cross platform GUI toolkit)

  * [pyqt5_sip](https://pypi.org/project/pyqt5_sip) 12.7.0 → 12.7.1 (Python extension module support for PyQt5)

  * [pyqtgraph](https://pypi.org/project/pyqtgraph) 0.11.0.dev0 → 0.11.0rc0 (Scientific Graphics and GUI Library for Python)

  * [pyrsistent](https://pypi.org/project/pyrsistent) 0.15.6 → 0.15.7 (Persistent/Functional/Immutable data structures)

  * [pytest](https://pypi.org/project/pytest) 5.3.2 → 5.4.1 (pytest: simple powerful testing with Python)

  * [Python](http://www.python.org/) 3.8.1 → 3.8.2 (Python programming language with standard library)

  * [python_jsonrpc_server](https://pypi.org/project/python_jsonrpc_server) 0.3.2 → 0.3.4 (JSON RPC 2.0 server library)

  * [python_language_server](https://pypi.org/project/python_language_server) 0.31.2 → 0.31.9 (An implementation of the Language Server Protocol for Python)

  * [pyviz_comms](https://pypi.org/project/pyviz_comms) 0.7.2 → 0.7.4 (Launch jobs, organize the output, and dissect the results)

  * [pyyaml](https://pypi.org/project/pyyaml) 5.2 → 5.3.1 (YAML parser and emitter for Python)

  * [pyzmq](https://pypi.org/project/pyzmq) 18.1.1 → 19.0.0 (Lightweight and super-fast messaging based on ZeroMQ library (required for IPython Qt console))

  * [pyzo](https://pypi.org/project/pyzo) 4.9.0 → 4.10.2 (the Python IDE for scientific computing)

  * [qtawesome](https://pypi.org/project/qtawesome) 0.6.0 → 0.7.0 (FontAwesome icons in PyQt and PySide applications)

  * [qtconsole](https://pypi.org/project/qtconsole) 4.6.0 → 4.7.1 (Jupyter Qt console)

  * [quart](https://pypi.org/project/quart) 0.10.0 → 0.11.3 (A Python ASGI web microframework with the same API as Flask)

  * [rasterio](https://pypi.org/project/rasterio) 1.1.2 → 1.1.3 (Fast and direct raster I/O for use with Numpy and SciPy)

  * [readme_renderer](https://pypi.org/project/readme_renderer) 24.0 → 25.0 (a library for rendering "readme" descriptions for Warehouse)

  * [redis](https://pypi.org/project/redis) 3.3.11 → 3.4.1 (Python client for Redis key-value store)

  * [regex](https://pypi.org/project/regex) 2019.12.20 → 2020.2.20 (Alternative regular expression module, to replace re.)

  * [reportlab](https://pypi.org/project/reportlab) 3.5.32 → 3.5.42 (The PDF generation library)

  * [requests](https://pypi.org/project/requests) 2.22.0 → 2.23.0 (Requests is an Apache2 Licensed HTTP library, written in Python, for human beings.)

  * [rise](https://pypi.org/project/rise) 5.6.0 → 5.6.1 (Live Reveal.js Jupyter/IPython Slideshow Extension)

  * [rtree](https://pypi.org/project/rtree) 0.9.3 → 0.9.4 (R-Tree spatial index for Python GIS)

  * [ruamel.yaml](https://pypi.org/project/ruamel.yaml) 0.16.5 → 0.16.10 (a YAML parser/emitter that supports roundtrip preservation of comments, seq/map flow style, and map key order)

  * [rx](https://pypi.org/project/rx) 3.0.1 → 3.1.0 (Reactive Extensions (Rx) for Python)

  * [scikit_learn](https://pypi.org/project/scikit_learn) 0.22 → 0.22.2.post1 (A set of Python modules for machine learning and data mining)

  * [scikit_optimize](https://pypi.org/project/scikit_optimize) 0.5.2 → 0.7.4 (Sequential model-based optimization toolbox.)

  * [seaborn](https://pypi.org/project/seaborn) 0.9.1.dev0 → 0.10.0 (statistical data visualization)

  * [setuptools](https://pypi.org/project/setuptools) 42.0.2 → 46.0.0 (Download, build, install, upgrade, and uninstall Python packages - easily)

  * [shapely](https://pypi.org/project/shapely) 1.6.4.post2 → 1.7.0 (Geometric objects, predicates, and operations)

  * [simpy](https://pypi.org/project/simpy) 3.0.11 → 3.0.12 (Event discrete, process based simulation for Python.)

  * [six](https://pypi.org/project/six) 1.13.0 → 1.14.0 (Python 2 and 3 compatibility utilities)

  * [sounddevice](https://pypi.org/project/sounddevice) 0.3.14 → 0.3.15 (Play and Record Sound with Python)

  * [soupsieve](https://pypi.org/project/soupsieve) 1.9.5 → 2.0 (A CSS4 selector implementation for Beautiful Soup.)

  * [sphinx](https://pypi.org/project/sphinx) 2.3.0 → 2.4.4 (Tool for generating documentation which uses reStructuredText as its markup language)

  * [sphinxcontrib_applehelp](https://pypi.org/project/sphinxcontrib_applehelp) 1.0.1 → 1.0.2 (sphinx extension which outputs Apple help books)

  * [sphinxcontrib_devhelp](https://pypi.org/project/sphinxcontrib_devhelp) 1.0.1 → 1.0.2 (sphinx extension which outputs Devhelp document)

  * [sphinxcontrib_htmlhelp](https://pypi.org/project/sphinxcontrib_htmlhelp) 1.0.2 → 1.0.3 (sphinx extension which outputs html)

  * [sphinxcontrib_qthelp](https://pypi.org/project/sphinxcontrib_qthelp) 1.0.2 → 1.0.3 (sphinx extension which outputs QtHelp document)

  * [sphinxcontrib_serializinghtml](https://pypi.org/project/sphinxcontrib_serializinghtml) 1.1.3 → 1.1.4 (Sphinx API for Web Apps)

  * [spyder](https://pypi.org/project/spyder) 3.3.6 → 4.1.1 (The Scientific Python Development Environment: An IDE designed for interactive computing and data visualisation with a simple and intuitive user interface)

  * [spyder_kernels](https://pypi.org/project/spyder_kernels) 0.5.1 → 1.9.0 (Jupyter kernels for the Spyder console)

  * [sqlalchemy](https://pypi.org/project/sqlalchemy) 1.3.12 → 1.3.15 (SQL Toolkit and Object Relational Mapper)

  * [sqlparse](https://pypi.org/project/sqlparse) 0.3.0 → 0.3.1 (Non-validating SQL parser)

  * [statsmodels](https://pypi.org/project/statsmodels) 0.10.2 → 0.11.1 (Statistical computations and models for use with SciPy)

  * [sympy](https://pypi.org/project/sympy) 1.5 → 1.5.1 (Symbolic Mathematics Library)

  * [tenacity](https://pypi.org/project/tenacity) 6.0.0 → 6.1.0 (Retry code until it succeeeds)

  * [tornado](https://pypi.org/project/tornado) 6.0.3 → 6.0.4 (Scalable, non-blocking web server and tools (required for IPython notebook))

  * [tqdm](https://pypi.org/project/tqdm) 4.41.0 → 4.43.0 (A Simple Python Progress Meter)

  * [typed_ast](https://pypi.org/project/typed_ast) 1.4.0 → 1.4.1 (a fork of Python 2 and 3 ast modules with type comment support)

  * [urllib3](https://pypi.org/project/urllib3) 1.25.7 → 1.25.8 (HTTP library with thread-safe connection pooling, file post, and more.)

  * [uvicorn](https://pypi.org/project/uvicorn) 0.10.8 → 0.11.3 (The lightning-fast ASGI server.)

  * [vega](https://pypi.org/project/vega) 2.6.0 → 3.1.0 (An IPython/ Jupyter widget for Vega and Vega-Lite)

  * [vitables](https://pypi.org/project/vitables) 3.0.0 → 3.0.2 (Graphical tool for browsing and editing files in both HDF5 and PyTables formats)

  * [voila](https://pypi.org/project/voila) 0.1.20 → 0.1.21 (Serving read-only live Jupyter notebooks)

  * [wcwidth](https://pypi.org/project/wcwidth) 0.1.7 → 0.1.8 (Measures number of Terminal column cells of wide-character codes)

  * [werkzeug](https://pypi.org/project/werkzeug) 0.16.0 → 1.0.0 (The Swiss Army knife of Python web development)

  * [wheel](https://pypi.org/project/wheel) 0.33.6 → 0.34.2 (A built-package format for Python.)

  * [winpython](http://winpython.github.io/) 2.2.20191222 → 2.3.20200319 (WinPython distribution tools, including WPPM (package manager))

  * [xarray](https://pypi.org/project/xarray) 0.14.1 → 0.15.0 (N-D labeled arrays and datasets in Python)

  * [xlsxwriter](https://pypi.org/project/xlsxwriter) 1.2.6 → 1.2.8 (A Python module for creating Excel XLSX files.)

  * [xlwings](https://pypi.org/project/xlwings) 0.16.4 → 0.18.0 (Interact with Excel from Python and vice versa)

  * [zarr](https://pypi.org/project/zarr) 2.3.2 → 2.4.0 (A minimal implementation of chunked, compressed, N-dimensional arrays for Python.)

  * [zict](https://pypi.org/project/zict) 1.0.0 → 2.0.0 (Mutable mapping tools)



Removed packages:



  * [ipydatawidgets](https://pypi.org/project/ipydatawidgets) 4.0.1 (A set of widgets to help facilitate reuse of large datasets across widgets)

  * [multidict](https://pypi.org/project/multidict) 4.7.2 (multidict implementation)

  * [pythreejs](https://pypi.org/project/pythreejs) 2.1.1 (Interactive 3d graphics for the Jupyter notebook, using Three.js from Jupyter interactive widgets.)

  * [rope](https://pypi.org/project/rope) 0.14.0 (a python refactoring library...)



* * *

